# Class AtomIteratorWithinModelSet

java.lang.Object
org.jmol.modelset.AtomIteratorWithinModel
org.jmol.modelset.AtomIteratorWithinModelSet

All Implemented Interfaces:
  `AtomIndexIterator`

public class AtomIteratorWithinModelSet extends AtomIteratorWithinModel

## Field Summary

### Fields inherited from class AtomIteratorWithinModel

`bspf, cubeIterator, modelIndex`

## Constructor Summary

Constructors
Constructor
Description
`AtomIteratorWithinModelSet(BS bsModels)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`void`
`setCenter(T3 center, float distance)`

### Methods inherited from class AtomIteratorWithinModel

`addAtoms, foundDistance2, getPosition, hasNext2, next, release, setCenter2, setModel`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtomIteratorWithinModelSet

public AtomIteratorWithinModelSet(BS bsModels)

## Method Details

### setCenter

public void setCenter(T3 center, float distance)

Specified by:
  `setCenter` in interface `AtomIndexIterator`
Overrides:
  `setCenter` in class `AtomIteratorWithinModel`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `AtomIndexIterator`
Overrides:
  `hasNext` in class `AtomIteratorWithinModel`